%{
#include "k.h" /* data type defs (incl. YYSTYPE) */
#include "y.tab.h"   /* yacc (token) definitions */
%}

%%

[\t\n ]        { ; }         /* skip white space */
[0-9]+         { yylval.yt_int = atoi(yytext);
                 return T_INT; }
[a-zA-Z_][a-zA-Z_0-9]* { yylval.yt_casestring = mkcasestring(yytext);
                 return T_NAME; }
.              { return yytext[0]; }
